org.eclipse.rdf4j.rio.helpers

## Class XMLWriterSettings

- java.lang.Object
- - org.eclipse.rdf4j.rio.helpers.XMLWriterSettings

-     public class XMLWriterSettings
      extends Object

  A class encapsulating writer settings that XML writers may support.
  Author:
    Peter Ansell

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RioSetting<Boolean>` | `INCLUDE_ROOT_RDF_TAG` Boolean setting for RDF/XML Writer to determine whether the rdf:RDF root tag is to be written.
    `static RioSetting<Boolean>` | `INCLUDE_XML_PI` Boolean setting for XML Writer to determine whether the XML PI (Processing Instruction) should be printed.
    `static RioSetting<Boolean>` | `QUOTES_TO_ENTITIES_IN_TEXT` Boolean setting for RDF/XML Writer to determine if the character used to quote attribute values, (single quote or double quote) is also replaced within text nodes by it's corresponding entity.
    `static RioSetting<Boolean>` | `USE_SINGLE_QUOTES` Boolean setting for RDF/XML Writer to determine if single quotes are used to quote attribute values.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INCLUDE_XML_PI

          public static final RioSetting<Boolean> INCLUDE_XML_PI

      Boolean setting for XML Writer to determine whether the XML PI (Processing Instruction) should be printed. If this setting is disabled the user must have previously printed the XML PI before calling `RDFHandler.startRDF()` for the document to be valid XML.

      Defaults to true.

      Can be overridden by setting system property `org.eclipse.rdf4j.rio.include_xml_pi`

      See Also:
        RDF/XML specification

    - #### INCLUDE_ROOT_RDF_TAG

          public static final RioSetting<Boolean> INCLUDE_ROOT_RDF_TAG

      Boolean setting for RDF/XML Writer to determine whether the rdf:RDF root tag is to be written. The tag is optional in the RDF/XML specification, but a standalone RDF/XML document typically includes it.

      Defaults to true.

      Can be overridden by setting system property `org.eclipse.rdf4j.rio.include_root_rdf_tag`

      See Also:
        RDF/XML specification

    - #### USE_SINGLE_QUOTES

          public static final RioSetting<Boolean> USE_SINGLE_QUOTES

      Boolean setting for RDF/XML Writer to determine if single quotes are used to quote attribute values. By default double quotes are used.

      Defaults to false.

      Can be overridden by setting system property `org.eclipse.rdf4j.rio.use_single_quotes`

    - #### QUOTES_TO_ENTITIES_IN_TEXT

          public static final RioSetting<Boolean> QUOTES_TO_ENTITIES_IN_TEXT

      Boolean setting for RDF/XML Writer to determine if the character used to quote attribute values, (single quote or double quote) is also replaced within text nodes by it's corresponding entity.

      Defaults to false.

      Can be overridden by setting system property `org.eclipse.rdf4j.rio.quotes_to_entities_in_text`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.